RoboCupMS

Static Public Attributes | List of all members
com.robogames.RoboCupMS.GlobalConfig Class Reference
Collaboration diagram for com.robogames.RoboCupMS.GlobalConfig:
[legend]

## Static Public Attributes
static final transient String | API_PREFIX = "/api"
static final transient String | AUTH_PREFIX = "/auth"
static final transient String | MODULE_PREFIX = "/module"
static String | HEADER_FIELD_TOKEN = "Authorization"
static int | TOKEN_VALIDITY_DURATION = 30
static int | USER_MIN_AGE = 6
static int | USER_MAX_AGE = 99
static int | ELEMENTARY_SCHOOL_MAX_AGE = 15
static int | HIGH_SCHOOL_MAX_AGE = 19
static int | UNIVERSITY_MAX_AGE = 26
static int | MAX_ROBOTS_IN_DISCIPLINE = 1
static int | MAX_TEAM_MEMBERS = 4
static transient PasswordEncoder | PASSWORD_ENCODER = new BCryptPasswordEncoder()

## Member Data Documentation

## ◆ API_PREFIX

final transient String com.robogames.RoboCupMS.GlobalConfig.API_PREFIX = "/api"
| static

Prefix pro vsechny API serveru

## ◆ AUTH_PREFIX

final transient String com.robogames.RoboCupMS.GlobalConfig.AUTH_PREFIX = "/auth"
| static

Prefix pouze pro sekci autentizace uzivatele

## ◆ ELEMENTARY_SCHOOL_MAX_AGE

int com.robogames.RoboCupMS.GlobalConfig.ELEMENTARY_SCHOOL_MAX_AGE = 15
| static

Defaultni nastaveni kategorii zakladni skola: max 15 let stredni skola: max 19 let vysoka skola: max 26 let open kategorie: vic jak 26 let Maximalni vekove hranice pro zakladni skoly (pro zruseni kategorie zadej zaporne cislo)

## ◆ HEADER_FIELD_TOKEN

String com.robogames.RoboCupMS.GlobalConfig.HEADER_FIELD_TOKEN = "Authorization"
| static

Nazev promenne v headeru requestu pro pristupovy token

## ◆ HIGH_SCHOOL_MAX_AGE

int com.robogames.RoboCupMS.GlobalConfig.HIGH_SCHOOL_MAX_AGE = 19
| static

Maximalni vekove hranice pro strdeni skoly (pro zruseni kategorie zadej zaporne cislo)

## ◆ MAX_ROBOTS_IN_DISCIPLINE

int com.robogames.RoboCupMS.GlobalConfig.MAX_ROBOTS_IN_DISCIPLINE = 1
| static

Maximalni pocet registrovanych robotu v discipline na jeden tym

## ◆ MAX_TEAM_MEMBERS

int com.robogames.RoboCupMS.GlobalConfig.MAX_TEAM_MEMBERS = 4
| static

Maximalni pocet clenu v jednom tymu

## ◆ MODULE_PREFIX

final transient String com.robogames.RoboCupMS.GlobalConfig.MODULE_PREFIX = "/module"
| static

Module prefix

## ◆ PASSWORD_ENCODER

transient PasswordEncoder com.robogames.RoboCupMS.GlobalConfig.PASSWORD_ENCODER = new BCryptPasswordEncoder()
| static

Enkoder hesel

## ◆ TOKEN_VALIDITY_DURATION

int com.robogames.RoboCupMS.GlobalConfig.TOKEN_VALIDITY_DURATION = 30
| static

Doba platnosti pristupoveho tokenu [min]

## ◆ UNIVERSITY_MAX_AGE

int com.robogames.RoboCupMS.GlobalConfig.UNIVERSITY_MAX_AGE = 26
| static

Maximalni vekova hranice pro vysoke skoly (pro zruseni kategorie zadej zaporne cislo)

## ◆ USER_MAX_AGE

int com.robogames.RoboCupMS.GlobalConfig.USER_MAX_AGE = 99
| static

Maximalni vek uzivatele

## ◆ USER_MIN_AGE

int com.robogames.RoboCupMS.GlobalConfig.USER_MIN_AGE = 6
| static

Minimalni vek uzivatele

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/GlobalConfig.java